---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/Scenes/03_Panorama/Animations/bg_time_spiral/"
---------------------------------------------------------------------------------------
createCompositionBgTimespiral = nil
createCompositionkamen = nil
---------------------------------------------------------------------------------------
createCompositionBgTimespiral = function()
	local compositionBG = CreateCompositionSequence()
	local compositionDuration = 8
	compositionBG:setDuration(compositionDuration)
	compositionBG:setName("compositionBgTimespiral" )
	compositionBG:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer kamen/1
	element = createCompositionkamen()
	element:setName("kamen/1")
	compositionBG:addElement(element)
	element:setHotSpot(683, 384)
	element:setParentElement(compositionBG)
	element:setXY(683, 384)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
	compositionBG:play()
 
	return compositionBG
end
 
createCompositionkamen = function()
	local compositionkamen = CreateCompositionSequence()
	local compositionDuration = 8
	compositionkamen:setDuration(compositionDuration)
	compositionkamen:setName("compositionkamen" )
	compositionkamen:setBoundingBox( Rectanglef(0, 0, 1366,768) )
 
	local element
	local effector
 
	-- Layer small_dust_[00000-00018].png/1
	element = CreateCompositionElement(PREFIX_PATH.."small_dust_[].png")
	element:setName("small_dust_[00000-00018].png/1")
	compositionkamen:addElement(element)
	element:setHotSpot(37, 23.5)
	element:setParentElement(compositionkamen)
	element:setXY(254, 516)
 
	element:setScale(2.94594594594594,2.57446808510638)
					local anim = element
					anim:setAnimationSize(74,47)
					anim:setFramesCount(19)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(3.66666666666667, 5.25)
	effector:setKey(_TRACK_O, 3.66666666666667, 0)
	effector:setKey(_TRACK_O, 4.375, 0.35)
	effector:setKey(_TRACK_O, 5.20833333333333, 0)
	effector:play()
 
 
	-- Layer small_dust_[00000-00018].png/2
	element = CreateCompositionElement(PREFIX_PATH.."small_dust_[].png")
	element:setName("small_dust_[00000-00018].png/2")
	compositionkamen:addElement(element)
	element:setHotSpot(37, 23.5)
	element:setParentElement(compositionkamen)
	element:setXY(378, 478)
 
	element:setScale(5.1081081081081,4.23404255319149)
					local anim = element
					anim:setAnimationSize(74,47)
					anim:setFramesCount(19)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(2, 3.58333333333333)
	effector:setKey(_TRACK_O, 2, 0)
	effector:setKey(_TRACK_O, 2.70833333333333, 0.5)
	effector:setKey(_TRACK_O, 3.45833333333333, 0)
	effector:play()
 
 
	-- Layer small_dust_[00000-00018].png/3
	element = CreateCompositionElement(PREFIX_PATH.."small_dust_[].png")
	element:setName("small_dust_[00000-00018].png/3")
	compositionkamen:addElement(element)
	element:setHotSpot(37, 23.5)
	element:setParentElement(compositionkamen)
	element:setXY(493, 458)
 
	element:setScale(4.78378378378378,4.4468085106383)
					local anim = element
					anim:setAnimationSize(74,47)
					anim:setFramesCount(19)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0.70833333333333, 2.29166666666667)
	effector:setKey(_TRACK_O, 0.70833333333333, 0)
	effector:setKey(_TRACK_O, 1.41666666666667, 0.5)
	effector:setKey(_TRACK_O, 2.16666666666667, 0)
	effector:play()
 
 
	-- Layer small_dust_[00000-00018].png/4
	element = CreateCompositionElement(PREFIX_PATH.."small_dust_[].png")
	element:setName("small_dust_[00000-00018].png/4")
	compositionkamen:addElement(element)
	element:setHotSpot(37, 23.5)
	element:setParentElement(compositionkamen)
	element:setXY(577, 439)
 
	element:setScale(5.02702702702703,5.25531914893617)
					local anim = element
					anim:setAnimationSize(74,47)
					anim:setFramesCount(19)
					anim:setFPS(12)
					anim:setMode(_ANIM_FWD)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 1.58333333333333)
	effector:setKey(_TRACK_O, 0.70833333333333, 0.5)
	effector:setKey(_TRACK_O, 1.45833333333333, 0)
	effector:play()
 
 
	-- Layer kvadrat00021 1 ([1-24]).png/5
	element = CreateCompositionElement(PREFIX_PATH.."kvadrat00021_1__[]_.png")
	element:setName("kvadrat00021 1 ([1-24]).png/5")
	compositionkamen:addElement(element)
	element:setHotSpot(65, 58.5)
	compositionkamen:registerParentInfo("kvadrat00021 1 ([1-24]).png/5", "layer_kamen1_simvolu3.png/12")
	element:setXY(-77.0846318665525, -5.08005767766213)
 
	element:setScale(3.80379766153846,3.86188034188034)
	element:setOpacity(0.58)
					local anim = element
					anim:setAnimationSize(130,117)
					anim:setFramesCount(24)
					anim:setFPS(24)
					anim:setMode(_ANIM_FWD)
					anim:setBlend(_EBlendModeColorAdd)
					anim:play()
 
	effector = element:getEffector()
	effector:setLifeTime(0, 1)
	effector:play()
 
 
	-- Layer BG_kamen.png/6
	element = CreateCompositionElement(PREFIX_PATH.."BG_kamen.png")
	element:setName("BG_kamen.png/6")
	compositionkamen:addElement(element)
	element:setHotSpot(165, 73)
	element:setParentElement(compositionkamen)
	element:setXY(276, 571)
 
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer layer_kamen1_simvolu1.png/7
	element = CreateCompositionElement(PREFIX_PATH.."layer_kamen1_simvolu1.png")
	element:setName("layer_kamen1_simvolu1.png/7")
	compositionkamen:addElement(element)
	element:setHotSpot(22, 25)
	compositionkamen:registerParentInfo("layer_kamen1_simvolu1.png/7", "layer_kamen1_simvolu1.png/8")
	element:setXY(22, 25)
 
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_O, 0, 0.28826494066372)
	effector:setKey(_TRACK_O, 0.25, 0.19370317486691)
	effector:setKey(_TRACK_O, 0.29166666666667, 0.16499372041213)
	effector:setKey(_TRACK_O, 0.375, 0.14699947588237)
	effector:setKey(_TRACK_O, 0.58333333333333, 0.40538504850308)
	effector:setKey(_TRACK_O, 0.70833333333333, 0.48548594616896)
	effector:setKey(_TRACK_O, 0.79166666666667, 0.46330347139386)
	effector:setKey(_TRACK_O, 0.95833333333333, 0.37941856914252)
	effector:setKey(_TRACK_O, 1.45833333333333, 0.41421754441522)
	effector:setKey(_TRACK_O, 1.625, 0.23023800627167)
	effector:setKey(_TRACK_O, 1.70833333333333, 0.13266879009776)
	effector:setKey(_TRACK_O, 1.79166666666667, 0.10525209314965)
	effector:setKey(_TRACK_O, 1.95833333333333, 0.28855234363316)
	effector:setKey(_TRACK_O, 2, 0.34541145762852)
	effector:setKey(_TRACK_O, 2.08333333333333, 0.37957065493234)
	effector:setKey(_TRACK_O, 2.25, 0.27375828219284)
	effector:setKey(_TRACK_O, 2.29166666666667, 0.2433203253355)
	effector:setKey(_TRACK_O, 2.375, 0.21947851180214)
	effector:setKey(_TRACK_O, 2.58333333333333, 0.4763900589693)
	effector:setKey(_TRACK_O, 2.70833333333333, 0.55592423027716)
	effector:setKey(_TRACK_O, 2.79166666666667, 0.52924838564738)
	effector:setKey(_TRACK_O, 2.83333333333333, 0.50002860844751)
	effector:setKey(_TRACK_O, 3, 0.40618476711191)
	effector:setKey(_TRACK_O, 3.25, 0.04330073946224)
	effector:setKey(_TRACK_O, 3.33333333333333, 0.0725245497306)
	effector:setKey(_TRACK_O, 3.375, 0.12847902009535)
	effector:setKey(_TRACK_O, 3.5, 0.39441611855297)
	effector:setKey(_TRACK_O, 3.58333333333333, 0.53535634367111)
	effector:setKey(_TRACK_O, 3.625, 0.57103367864229)
	effector:setKey(_TRACK_O, 3.66666666666667, 0.58026837412854)
	effector:setKey(_TRACK_O, 3.79166666666667, 0.46914256663935)
	effector:setKey(_TRACK_O, 3.83333333333333, 0.40505603314954)
	effector:setKey(_TRACK_O, 3.95833333333333, 0.28312664101343)
	effector:setKey(_TRACK_O, 4.125, 0.29096998067921)
	effector:setKey(_TRACK_O, 4.5, 0.23478781545494)
	effector:setKey(_TRACK_O, 4.83333333333333, 0.33274204978481)
	effector:setKey(_TRACK_O, 4.95833333333333, 0.36590422066763)
	effector:setKey(_TRACK_O, 5.04166666666667, 0.33704743908724)
	effector:setKey(_TRACK_O, 5.33333333333333, 0.26006588160483)
	effector:setKey(_TRACK_O, 5.375, 0.29558939899225)
	effector:setKey(_TRACK_O, 5.41666666666667, 0.34134949695332)
	effector:setKey(_TRACK_O, 5.5, 0.42285386173296)
	effector:setKey(_TRACK_O, 5.54166666666667, 0.41286690975366)
	effector:setKey(_TRACK_O, 5.58333333333333, 0.3755371024303)
	effector:setKey(_TRACK_O, 5.70833333333333, 0.20318160496463)
	effector:setKey(_TRACK_O, 5.75, 0.15472131564283)
	effector:setKey(_TRACK_O, 5.79166666666667, 0.12258852348435)
	effector:setKey(_TRACK_O, 5.83333333333333, 0.11224722866109)
	effector:setKey(_TRACK_O, 5.91666666666667, 0.17334501456096)
	effector:setKey(_TRACK_O, 6.04166666666667, 0.35298027861819)
	effector:setKey(_TRACK_O, 6.125, 0.33205904628967)
	effector:setKey(_TRACK_O, 6.16666666666667, 0.29458849633741)
	effector:setKey(_TRACK_O, 6.33333333333333, 0.1452946065273)
	effector:setKey(_TRACK_O, 6.41666666666667, 0.17939387314516)
	effector:setKey(_TRACK_O, 6.5, 0.32139325871219)
	effector:setKey(_TRACK_O, 6.58333333333333, 0.35442106393206)
	effector:setKey(_TRACK_O, 6.83333333333333, 0.14495320690514)
	effector:setKey(_TRACK_O, 6.91666666666667, 0.17891764445919)
	effector:setKey(_TRACK_O, 7, 0.32188564128339)
	effector:setKey(_TRACK_O, 7.08333333333333, 0.36173446129402)
	effector:setKey(_TRACK_O, 7.95833333333333, 0)
	effector:play()
 
 
	-- Layer layer_kamen1_simvolu1.png/8
	element = CreateCompositionElement(PREFIX_PATH.."layer_kamen1_simvolu1.png")
	element:setName("layer_kamen1_simvolu1.png/8")
	compositionkamen:addElement(element)
	element:setHotSpot(22, 25)
	compositionkamen:registerParentInfo("layer_kamen1_simvolu1.png/8", "layer_kamen1_1.png/13")
	element:setXY(90, 101)
 
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer layer_kamen1_simvolu2.png/9
	element = CreateCompositionElement(PREFIX_PATH.."layer_kamen1_simvolu2.png")
	element:setName("layer_kamen1_simvolu2.png/9")
	compositionkamen:addElement(element)
	element:setHotSpot(30, 36.5)
	compositionkamen:registerParentInfo("layer_kamen1_simvolu2.png/9", "layer_kamen1_simvolu2.png/10")
	element:setXY(30, 36.5)
 
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_O, 0, 0.11144207319833)
	effector:setKey(_TRACK_O, 0.33333333333333, 0.12421858313072)
	effector:setKey(_TRACK_O, 0.5, 0.30763046070096)
	effector:setKey(_TRACK_O, 0.58333333333333, 0.38840174769047)
	effector:setKey(_TRACK_O, 0.70833333333333, 0.42973960524221)
	effector:setKey(_TRACK_O, 0.875, 0.35450216836523)
	effector:setKey(_TRACK_O, 1.08333333333333, 0.16878984593682)
	effector:setKey(_TRACK_O, 1.16666666666667, 0.04832295796005)
	effector:setKey(_TRACK_O, 1.25, 0.00741036194228)
	effector:setKey(_TRACK_O, 1.375, 0.14430993239534)
	effector:setKey(_TRACK_O, 1.5, 0.4204702113761)
	effector:setKey(_TRACK_O, 1.58333333333333, 0.55137978627236)
	effector:setKey(_TRACK_O, 1.66666666666667, 0.58292286820553)
	effector:setKey(_TRACK_O, 1.91666666666667, 0.2900420787043)
	effector:setKey(_TRACK_O, 2.125, 0.28309249697565)
	effector:setKey(_TRACK_O, 2.5, 0.20808886188687)
	effector:setKey(_TRACK_O, 2.70833333333333, 0.03910830210658)
	effector:setKey(_TRACK_O, 2.79166666666667, 0.06724289273339)
	effector:setKey(_TRACK_O, 2.83333333333333, 0.10993830510897)
	effector:setKey(_TRACK_O, 2.91666666666667, 0.23745355367141)
	effector:setKey(_TRACK_O, 2.95833333333333, 0.3082458388713)
	effector:setKey(_TRACK_O, 3.04166666666667, 0.35403579290698)
	effector:setKey(_TRACK_O, 3.20833333333333, 0.22151096571603)
	effector:setKey(_TRACK_O, 3.25, 0.18784054123836)
	effector:setKey(_TRACK_O, 3.33333333333333, 0.16647374367917)
	effector:setKey(_TRACK_O, 3.5, 0.41099997959584)
	effector:setKey(_TRACK_O, 3.625, 0.53968659601924)
	effector:setKey(_TRACK_O, 3.66666666666667, 0.52956140151244)
	effector:setKey(_TRACK_O, 3.70833333333333, 0.49369934240252)
	effector:setKey(_TRACK_O, 3.79166666666667, 0.36466863681702)
	effector:setKey(_TRACK_O, 4.08333333333333, 0.06427248850707)
	effector:setKey(_TRACK_O, 4.20833333333333, 0)
	effector:setKey(_TRACK_O, 4.375, 0.11245022840306)
	effector:setKey(_TRACK_O, 4.54166666666667, 0.36388424406875)
	effector:setKey(_TRACK_O, 4.66666666666667, 0.45660663473158)
	effector:setKey(_TRACK_O, 4.75, 0.43928687418456)
	effector:setKey(_TRACK_O, 4.83333333333333, 0.37996065067491)
	effector:setKey(_TRACK_O, 5.20833333333333, 0.22572358394102)
	effector:setKey(_TRACK_O, 5.41666666666667, 0.15675654037069)
	effector:setKey(_TRACK_O, 5.83333333333333, 0.15127411741363)
	effector:setKey(_TRACK_O, 6.04166666666667, 0.16783111669961)
	effector:setKey(_TRACK_O, 6.45833333333333, 0.16182910900823)
	effector:setKey(_TRACK_O, 6.79166666666667, 0.24827872485843)
	effector:setKey(_TRACK_O, 6.95833333333333, 0.28397912458651)
	effector:setKey(_TRACK_O, 7.125, 0.12385394008326)
	effector:setKey(_TRACK_O, 7.95833333333333, 0)
	effector:play()
 
 
	-- Layer layer_kamen1_simvolu2.png/10
	element = CreateCompositionElement(PREFIX_PATH.."layer_kamen1_simvolu2.png")
	element:setName("layer_kamen1_simvolu2.png/10")
	compositionkamen:addElement(element)
	element:setHotSpot(30, 36.5)
	compositionkamen:registerParentInfo("layer_kamen1_simvolu2.png/10", "layer_kamen1_1.png/13")
	element:setXY(241, 108.5)
 
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer layer_kamen1_simvolu3.png/11
	element = CreateCompositionElement(PREFIX_PATH.."layer_kamen1_simvolu3.png")
	element:setName("layer_kamen1_simvolu3.png/11")
	compositionkamen:addElement(element)
	element:setHotSpot(21.5, 26.5)
	compositionkamen:registerParentInfo("layer_kamen1_simvolu3.png/11", "layer_kamen1_simvolu3.png/12")
	element:setXY(21.5, 26.5)
 
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_O, 0, 0.45595883782651)
	effector:setKey(_TRACK_O, 0.16666666666667, 0.34748409802216)
	effector:setKey(_TRACK_O, 0.33333333333333, 0.13327028276302)
	effector:setKey(_TRACK_O, 0.625, 0.02562971637133)
	effector:setKey(_TRACK_O, 0.79166666666667, 0.11568896255351)
	effector:setKey(_TRACK_O, 1.04166666666667, 0.3596920949387)
	effector:setKey(_TRACK_O, 1.16666666666667, 0.33243134886201)
	effector:setKey(_TRACK_O, 1.29166666666667, 0.26795961408294)
	effector:setKey(_TRACK_O, 1.375, 0.25570828186506)
	effector:setKey(_TRACK_O, 1.625, 0.39731326707613)
	effector:setKey(_TRACK_O, 1.75, 0.36827388463397)
	effector:setKey(_TRACK_O, 1.875, 0.29773224684678)
	effector:setKey(_TRACK_O, 2.08333333333333, 0.15579105487376)
	effector:setKey(_TRACK_O, 2.20833333333333, 0.06606878562109)
	effector:setKey(_TRACK_O, 2.29166666666667, 0.09293875246479)
	effector:setKey(_TRACK_O, 2.33333333333333, 0.13466078104967)
	effector:setKey(_TRACK_O, 2.41666666666667, 0.25884821419426)
	effector:setKey(_TRACK_O, 2.45833333333333, 0.32367481030498)
	effector:setKey(_TRACK_O, 2.54166666666667, 0.36899826574045)
	effector:setKey(_TRACK_O, 2.625, 0.32006410354729)
	effector:setKey(_TRACK_O, 2.79166666666667, 0.10662476741003)
	effector:setKey(_TRACK_O, 2.875, 0.05048445397481)
	effector:setKey(_TRACK_O, 2.91666666666667, 0.06363934983029)
	effector:setKey(_TRACK_O, 2.95833333333333, 0.1081183398482)
	effector:setKey(_TRACK_O, 3, 0.15275100747438)
	effector:setKey(_TRACK_O, 3.45833333333333, 0.35217543667377)
	effector:setKey(_TRACK_O, 3.54166666666667, 0.32545572919496)
	effector:setKey(_TRACK_O, 3.70833333333333, 0.24599520376638)
	effector:setKey(_TRACK_O, 3.83333333333333, 0.33407187971114)
	effector:setKey(_TRACK_O, 4.04166666666667, 0.64325743732119)
	effector:setKey(_TRACK_O, 4.125, 0.60403433984504)
	effector:setKey(_TRACK_O, 4.16666666666667, 0.53960252020943)
	effector:setKey(_TRACK_O, 4.33333333333333, 0.12863628939816)
	effector:setKey(_TRACK_O, 4.375, 0.04260279555317)
	effector:setKey(_TRACK_O, 4.5, 0)
	effector:setKey(_TRACK_O, 4.66666666666667, 0.11230005936576)
	effector:setKey(_TRACK_O, 4.875, 0.42864805965178)
	effector:setKey(_TRACK_O, 5, 0.52685696705988)
	effector:setKey(_TRACK_O, 5.08333333333333, 0.5078552457346)
	effector:setKey(_TRACK_O, 5.29166666666667, 0.4223979622323)
	effector:setKey(_TRACK_O, 5.45833333333333, 0.53126420232752)
	effector:setKey(_TRACK_O, 5.5, 0.56347479128995)
	effector:setKey(_TRACK_O, 5.58333333333333, 0.58188924148704)
	effector:setKey(_TRACK_O, 5.83333333333333, 0.47125450320715)
	effector:setKey(_TRACK_O, 6, 0.5282888694978)
	effector:setKey(_TRACK_O, 6.08333333333333, 0.49066561526611)
	effector:setKey(_TRACK_O, 6.16666666666667, 0.38109008704421)
	effector:setKey(_TRACK_O, 6.29166666666667, 0.14979324542452)
	effector:setKey(_TRACK_O, 6.41666666666667, 0)
	effector:setKey(_TRACK_O, 6.70833333333333, 0.0081200960276)
	effector:setKey(_TRACK_O, 6.875, 0.15251642015502)
	effector:setKey(_TRACK_O, 7.95833333333333, 0)
	effector:play()
 
 
	-- Layer layer_kamen1_simvolu3.png/12
	element = CreateCompositionElement(PREFIX_PATH.."layer_kamen1_simvolu3.png")
	element:setName("layer_kamen1_simvolu3.png/12")
	compositionkamen:addElement(element)
	element:setHotSpot(21.5, 26.5)
	compositionkamen:registerParentInfo("layer_kamen1_simvolu3.png/12", "layer_kamen1_1.png/13")
	element:setXY(294.5, 208.5)
 
					local anim = element
					anim:setBlend(_EBlendModeColorAdd)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:play()
 
 
	-- Layer layer_kamen1_1.png/13
	element = CreateCompositionElement(PREFIX_PATH.."layer_kamen1_1.png")
	element:setName("layer_kamen1_1.png/13")
	compositionkamen:addElement(element)
	element:setHotSpot(179.5, 328)
	element:setParentElement(compositionkamen)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0.86673990885417, 558.5)
	effector:setKey(_TRACK_Y, 0.86673990885417, 533)
	effector:setKey(_TRACK_X, 1, 554.627590592796)
	effector:setKey(_TRACK_Y, 1, 533.398819573499)
	effector:setKey(_TRACK_X, 1.125, 546.405068403032)
	effector:setKey(_TRACK_Y, 1.125, 534.245657406997)
	effector:setKey(_TRACK_X, 1.575927734375, 502.061916018239)
	effector:setKey(_TRACK_Y, 1.575927734375, 538.812560144301)
	effector:setKey(_TRACK_X, 1.96988932291667, 466.697452520994)
	effector:setKey(_TRACK_Y, 1.96988932291667, 539.042787281891)
	effector:setKey(_TRACK_X, 2.44266764322917, 427.744008390249)
	effector:setKey(_TRACK_Y, 2.44266764322917, 547.063808949809)
	effector:setKey(_TRACK_X, 3.07303873697917, 378.144720435979)
	effector:setKey(_TRACK_Y, 3.07303873697917, 550.29482313532)
	effector:setKey(_TRACK_X, 3.93977864583333, 311.775655869669)
	effector:setKey(_TRACK_Y, 3.93977864583333, 560.676100049331)
	effector:setKey(_TRACK_X, 4.64892578125, 257.5)
	effector:setKey(_TRACK_Y, 4.64892578125, 564)
	effector:setKey(_TRACK_A, 0, 0)
	effector:setKey(_TRACK_A, 0.86673990885417, 0.1570796325)
	effector:setKey(_TRACK_A, 2.36385091145833, -0.3316125575)
	effector:setKey(_TRACK_A, 4.64892578125, 0.1221730475)
	effector:setKey(_TRACK_A, 5.279296875, -0.06981317)
	effector:setKey(_TRACK_A, 5.83085123697917, 0.034906585)
	effector:setKey(_TRACK_A, 6.69759114583333, -0.0174532925)
	effector:setKey(_TRACK_A, 7.95833333333333, 0)
	effector:play()
 
 
	-- Layer layer_kamen1_shadow.png/14
	element = CreateCompositionElement(PREFIX_PATH.."layer_kamen1_shadow.png")
	element:setName("layer_kamen1_shadow.png/14")
	compositionkamen:addElement(element)
	element:setHotSpot(537, 124)
	element:setParentElement(compositionkamen)
 
	effector = element:getEffector()
	effector:setLifeTime(0, 8)
	effector:setKey(_TRACK_X, 0, 559)
	effector:setKey(_TRACK_Y, 0, 535)
	effector:setKey(_TRACK_X, 0.87007649739583, 569)
	effector:setKey(_TRACK_Y, 0.87007649739583, 532)
	effector:setKey(_TRACK_X, 1.9774169921875, 433)
	effector:setKey(_TRACK_Y, 1.9774169921875, 543)
	effector:setKey(_TRACK_X, 2.45198567708333, 369)
	effector:setKey(_TRACK_Y, 2.45198567708333, 557)
	effector:setKey(_TRACK_X, 3.00565592447917, 341.479769885166)
	effector:setKey(_TRACK_Y, 3.00565592447917, 557.214512759984)
	effector:setKey(_TRACK_X, 3.95479329427083, 305)
	effector:setKey(_TRACK_Y, 3.95479329427083, 561)
	effector:setKey(_TRACK_X, 4.66666666666667, 271)
	effector:setKey(_TRACK_Y, 4.66666666666667, 563)
	effector:setKey(_TRACK_O, 0, 1)
	effector:setKey(_TRACK_O, 1.9774169921875, 0.3)
	effector:setKey(_TRACK_O, 4.66666666666667, 0)
	effector:play()
 
	compositionkamen:play()
 
	return compositionkamen
end
 
